Skip to content

Order Verification API

| View as Markdown

This API will used by Affiliates to confirm the status of an insurance order. This API will work only on live MID, for the sandbox MID this API will not work. We must pass order id, affiliate id, provider id and category in request. If the request has valid details, we will get details like amount, bank txn id, time, policy status: success or fail and policy type.

https://kraken.airpay.co.in/airpay/ms/insurance/api/verify_order
FieldTypeDescription
content-typestringValue : application/x-www-form-urlencoded (required)
processor-keystringAuthentication key for airay. Eg 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps (length 20, required)
checksumstringSha256 of value of hash(‘sha256’,’(orderid)(affiliateid)(companyid), processor-key) (required)
FieldTypeRequiredDescription
orderidAlphanumericYesReference transaction ID shared by affiliate while initiating the transaction (fixed length 20)
affiliateidNumericYesSource affiliate ID of the order ID. Example: 649648 (length 10)
provideridNumericYesInsurance company provider ID. Example: 1234 (length 10)
catTextNoInsurance category. Redirects to the insurer landing page of that category
curl --location 'https://kraken.airpay.co.in/airpay/ms/insurance/api/verify_order' \
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvAvkuxKczNf8sapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Cookie: _csrf=103936bf3ssa2098165c59d08c9288e68459dcac60bba4d83cdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data-urlencode 'order_id=MAWEB107051612117107' \
--data-urlencode 'affiliate_id=AF0028SF1644819013' \
--data-urlencode 'cat=PA' \
--data-urlencode 'provider_id=7'
FieldTypeDescription
statusNumericapi status [1- success,0-fail] (length 1)
dataJsonarraydata provided will be blank in case of fail while for success the following details will be shared orderid, amount, banktxnid,banktxntime, policystatus, policytype
messageTextmessage(length 50)
{
"status": "1",
"data": [{
"orderid": 12345678901234567890
"amount": 500.00 ,
"banktxnid": "ABC2324",
"banktxntime": "19-05-2020 11:05:30",
"policystatus":"success",
"policytype":"COV"
}],
"message": "success"
}
{
"status": "0",
"data": [
{}
],
"message": "fail"
}